This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 811486 - the screen dims too fast
the screen dims too fast
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 04:53 EDT by Karel Volný
Modified: 2015-02-17 09:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:12:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 286572 None None None 2012-07-17 05:00:52 EDT
KDE Software Compilation 295814 None None None 2012-07-17 05:08:56 EDT
KDE Software Compilation 304696 None None None Never

  None (edit)
Description Karel Volný 2012-04-11 04:53:09 EDT
Description of problem:
In powerdevil config I have set the screen to lessen the brightness after two minutes, and to turn off after five minutes when on batteries.
However, the screen starts dimming after one minute, and in two minutes, it is unreadable.

In addition, it goes dim even if a video is played, which should not happen.

Version-Release number of selected component (if applicable):
kde-workspace-4.8.2-3.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. go to power settings, see the values for battery, there should be 2 minutes to "Stmavieť obrazovku" (don't know the original ... "less brightness"?) and 5 minutes to powersave
2. unplug AC, run on battery
3. start stopwatch and stop touching mouse/keyboard
4. a few minutes of testing, see below
5. start your favorite movie player, play a movie
6. start stopwatch and stop touching mouse/keyboard

Actual results:
T=0 - the screen is on its set brightness
T=60 s - the screen goes a lot darker, making it very hard to read under commong lighting conditions
T=90 s - the screen goes yet more darker
T=120 s - the screen goes to zero backlight, making it impossible to see anything on it even in a dark night
T = 300 s - the screen turns off

these results are the same for step 3. and step 6.


Expected results:
step 3:
T=0 - the screen is on its set brightness
T=120 s - the screen goes to half of the set brightness
T = 300 s - the screen turns off

step 6:
the screen does not go dim and the machine does not suspend until the movie is finished (if the battery doesn't reach low level meanwhile)


Additional info:
I guess the second part is a regression, from what I recall, disabling diming during movie playback has worked before ...
Comment 1 Oliver Henshaw 2013-02-13 11:00:30 EST
The freedesktop ScreenSaver inhibit interface should now inhibit all of screensaver, dimming and screen power setting in KDE 4.10; I believe vlc 2.1 will be using this interface.

The dimming starting early is https://bugs.kde.org/show_bug.cgi?id=304696
Comment 2 Lukáš Tinkl 2013-06-11 10:56:08 EDT
Does this still happen in KDE 4.10?
Comment 3 Karel Volný 2013-07-02 08:39:14 EDT
(In reply to Lukáš Tinkl from comment #2)
> Does this still happen in KDE 4.10?

not sure about the time to dim, but the problem with dimming during video playback (using dragon) still persists

... and reading comment #1, I don't see any reason to think otherwise as the referenced upstream bug is not fixed & vlc 2.0.7 seems to be the latest available
Comment 4 Fedora End Of Life 2015-01-09 12:06:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:12:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Karel Volný 2015-02-17 09:41:54 EST
[I believe this is more proper resolution ...]

Note You need to log in before you can comment on or make changes to this bug.